GLUNURBSCALLBACKDATA(3G)

NAME
gluNurbsCallbackData - set a user data pointer

C SPECIFICATION

void gluNurbsCallbackData(GLUnurbs* nurb, GLvoid* userData);

PARAMETERS

nurb
    Specifies the NURBS object (created with gluNewNurbsRenderer()).

userData
    Specifies a pointer to the user's data.

DESCRIPTION

gluNurbsCallbackData is used to pass a pointer to the application's data to NURBS tessellator. A copy of this pointer will be passed by the tessellator in the NURBS callback functions (set by gluNurbsCallback()).

NOTES

gluNurbsCallbackData is available only if the GLU version is 1.3 or greater.

SEE ALSO

gluNewNurbsRenderer(), gluNurbsCallback()

COPYRIGHT

Copyright © 1991-2006 Silicon Graphics, Inc. This document is licensed under the SGI Free Software B License. For details, see http://oss.sgi.com/projects/FreeB/.